> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Alexa - Sync devices (AddOrUpdateReport)

> Proactively sends current endpoints to Alexa to refresh its device cache. Useful to clear stale/old devices.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/alexa/sync
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/alexa/sync:
    post:
      tags:
        - Integrations
      summary: Alexa - Sync devices (AddOrUpdateReport)
      description: >-
        Proactively sends current endpoints to Alexa to refresh its device
        cache. Useful to clear stale/old devices.
      operationId: postV1AlexaSync
      parameters: []
      responses:
        '200':
          description: Sync initiated
        '401':
          description: Unauthorized
        '404':
          description: Alexa token not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````